package com.vmx;

import java.io.IOException;

public interface CharacterIterator
{
	public char readChar() throws IOException;
	public char readCharBack() throws IOException;

	public int available() throws IOException;
	public int getCapacity() throws IOException;

	public int getPosition() throws IOException;
	public void setPosition(int pos) throws IOException;
	
	public void skip(int count) throws IOException;
	public void rewind(int count) throws IOException;
}